import { __decorate } from "tslib";
import { Component } from 'vue-property-decorator';
import { isNumber, getControl } from 'handie-vue';
import { StringFieldHeadlessWidget } from 'handie-vue/dist/widgets';
let InputEditStringFieldWidget = class InputEditStringFieldWidget extends StringFieldHeadlessWidget {
    render(h) {
        const props = { value: this.value, placeholder: this.getPlaceholder() };
        if (this.showValidationRulesAsNative) {
            const { min, max } = this.field;
            if (isNumber(min)) {
                props.minLength = min;
            }
            if (isNumber(max)) {
                props.maxLength = max;
            }
        }
        return h(getControl('TextInput'), { props, on: { input: this.onChange } });
    }
};
InputEditStringFieldWidget = __decorate([
    Component
], InputEditStringFieldWidget);
export default InputEditStringFieldWidget;
